window.Gleam.initSearch([{"doc":"fireball","title":"fireball","content":"# fireball\n\n[![Package Version](https://img.shields.io/hexpm/v/fireball)](https://hex.pm/packages/fireball)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/fireball/)\n\n```sh\ngleam add fireball@1\n```\n```gleam\nimport gleam/io\n\nimport fireball\n\npub fn main() {\n  //Get a document from your database\n  let assert Ok(my_doc) = firebase.get_doc(apikey: &quot;my_key&quot;, apiver: &quot;v1beta1&quot;, database: &quot;(default)&quot;, doc: &quot;path/to/my_doc/without/leading/slash&quot;, proj_id: &quot;my_project_id&quot;)\n\n  //Print some data from it!\n  io.println(my_doc.data)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/fireball&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"error","title":"FireballError","content":"pub type FireballError {\n  FireballError(err: String)\n}\n\nFireballError(err: String)\n\n\nSynonyms:\nerror.FireballError\nerror FireballError","url":"error.html#FireballError"},{"doc":"error","title":"error","content":"","url":"error.html"},{"doc":"objects/document","title":"FireballDocument","content":"pub type FireballDocument {\n  FireballDocument(data: String, creation_time: String)\n}\n\nFireballDocument(data: String, creation_time: String)\n\n\nSynonyms:\nobjects/document.FireballDocument\nobjects/document FireballDocument","url":"objects/document.html#FireballDocument"},{"doc":"objects/document","title":"doc_to_list","content":"pub fn doc_to_list(doc doc: FireballDocument) -&gt; List(String)\n\nSynonyms:\nobjects/document.doc_to_list\nobjects/document doc_to_list","url":"objects/document.html#doc_to_list"},{"doc":"objects/document","title":"doc_to_string","content":"pub fn doc_to_string(doc doc: FireballDocument) -&gt; String\n\nSynonyms:\nobjects/document.doc_to_string\nobjects/document doc_to_string","url":"objects/document.html#doc_to_string"},{"doc":"objects/document","title":"doc_to_tuple","content":"pub fn doc_to_tuple(\n  doc doc: FireballDocument,\n) -&gt; #(String, String)\n\nSynonyms:\nobjects/document.doc_to_tuple\nobjects/document doc_to_tuple","url":"objects/document.html#doc_to_tuple"},{"doc":"objects/document","title":"objects/document","content":"","url":"objects/document.html"},{"doc":"objects/storage","title":"FireballStorage","content":"pub type FireballStorage {\n  FireballStorage(path: String)\n}\n\nFireballStorage(path: String)\n\n\nSynonyms:\nobjects/storage.FireballStorage\nobjects/storage FireballStorage","url":"objects/storage.html#FireballStorage"},{"doc":"objects/storage","title":"UploadData","content":"pub type UploadData {\n  UploadData(\n    name: String,\n    bucket: String,\n    generation: String,\n    metageneration: String,\n    content_type: String,\n    time_created: String,\n    updated: String,\n    storage_class: String,\n    size: String,\n    md5_hash: String,\n    content_encoding: String,\n    content_disposition: String,\n    crc32c: String,\n    etag: String,\n    download_tokens: String,\n  )\n}\n\nUploadData(\n  name: String,\n  bucket: String,\n  generation: String,\n  metageneration: String,\n  content_type: String,\n  time_created: String,\n  updated: String,\n  storage_class: String,\n  size: String,\n  md5_hash: String,\n  content_encoding: String,\n  content_disposition: String,\n  crc32c: String,\n  etag: String,\n  download_tokens: String,\n)\n\n\nSynonyms:\nobjects/storage.UploadData\nobjects/storage UploadData","url":"objects/storage.html#UploadData"},{"doc":"objects/storage","title":"json_to_upload_data","content":"pub fn json_to_upload_data(\n  input input: String,\n) -&gt; Result(UploadData, DecodeError)\n\nSynonyms:\nobjects/storage.json_to_upload_data\nobjects/storage json_to_upload_data","url":"objects/storage.html#json_to_upload_data"},{"doc":"objects/storage","title":"upload_data_to_json","content":"pub fn upload_data_to_json(\n  upload_data upload_data: UploadData,\n) -&gt; String\n\nSynonyms:\nobjects/storage.upload_data_to_json\nobjects/storage upload_data_to_json","url":"objects/storage.html#upload_data_to_json"},{"doc":"objects/storage","title":"objects/storage","content":"","url":"objects/storage.html"},{"doc":"fireball","title":"get_doc","content":"pub fn get_doc(\n  apikey apikey: String,\n  apiver apiver: String,\n  database database: String,\n  doc doc: String,\n  proj_id proj_id: String,\n) -&gt; Result(FireballDocument, FireballError)\n\nSynonyms:\nfireball.get_doc\nfireball get_doc","url":"fireball.html#get_doc"},{"doc":"fireball","title":"get_file","content":"pub fn get_file(\n  apiver apiver: String,\n  obj_path obj_path: String,\n  proj_id proj_id: String,\n  token token: String,\n  content_type content_type: String,\n) -&gt; Result(FireballStorage, FireballError)\n\nSynonyms:\nfireball.get_file\nfireball get_file","url":"fireball.html#get_file"},{"doc":"fireball","title":"post_file","content":"pub fn post_file(\n  apiver apiver: String,\n  apikey apikey: String,\n  infile infile: String,\n  outfile outfile: String,\n  proj_id proj_id: String,\n) -&gt; Result(String, FireballError)\n\nSynonyms:\nfireball.post_file\nfireball post_file","url":"fireball.html#post_file"},{"doc":"fireball","title":"post_file_erl","content":"pub fn post_file_erl(\n  url url: String,\n  infile infile: String,\n) -&gt; Nil\n\nSynonyms:\nfireball.post_file_erl\nfireball post_file_erl","url":"fireball.html#post_file_erl"},{"doc":"fireball","title":"post_file_external","content":"pub fn post_file_external(\n  apiver apiver: String,\n  apikey apikey: String,\n  infile infile: String,\n  outfile outfile: String,\n  proj_id proj_id: String,\n  external_script external_script: String,\n  wd wd: String,\n) -&gt; Result(String, FireballError)\n\nSynonyms:\nfireball.post_file_external\nfireball post_file_external","url":"fireball.html#post_file_external"},{"doc":"fireball","title":"fireball","content":"","url":"fireball.html"},{"doc":"objects/collection","title":"Collection","content":"pub type Collection {\n  Collection(location: String, err: String)\n}\n\nCollection(location: String, err: String)\n\n\nSynonyms:\nobjects/collection.Collection\nobjects/collection Collection","url":"objects/collection.html#Collection"},{"doc":"objects/collection","title":"objects/collection","content":"","url":"objects/collection.html"}]);